%define pypi_name requests-oauthlib

Name:           python-requests-oauthlib
Version:        1.3.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        OAuthlib authentication support for Requests

License:        ISC
URL:            https://pypi.org/project/requests-oauthlib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This project provides first-class OAuth library support for Requests.


%package -n     python3-%{pypi_name}
Summary:        OAuthlib authentication support for Requests
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project provides first-class OAuth library support for Requests.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/requests_oauthlib-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/requests_oauthlib



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.3.1-2.mga9
+ Revision: 1822519
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 1.3.1-1.mga9
+ Revision: 1774133
- new version 1.3.1
- rebuild for python3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1711021
- rebuild for python 3.9

* Sat Nov 07 2020 guillomovitch <guillomovitch> 1.3.0-1.mga8
+ Revision: 1643220
- new version 1.3.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1535066
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1450933
- new version: 1.2.0

* Tue Sep 24 2019 tv <tv> 1.0.0-2.mga8
+ Revision: 1445330
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.0.0-1.mga7
+ Revision: 1353435
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1289999
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.0-3.mga7
+ Revision: 1135610
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 972281
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 0.5.0-1.mga6
+ Revision: 897167
- update to 0.5.0

* Sat Oct 10 2015 tv <tv> 0.4.0-9.mga6
+ Revision: 888997
- rebuild for python 3.5

* Thu Nov 06 2014 joequant <joequant> 0.4.0-8.mga5
+ Revision: 795903
- setup for python3

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-7.mga5
+ Revision: 743022
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-6.mga5
+ Revision: 729645
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 688309
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 544165
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-2.mga4
+ Revision: 499303
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 philippem <philippem> 0.4.0-1.mga4
+ Revision: 494902
- imported package python-requests-oauthlib

